﻿do
	local FlurryTimeFrame = CreateFrame("Button", "FlurryTime");
	FlurryTimeFrame:SetPoint("CENTER", 0,0);
	FlurryTimeFrame:SetWidth(150);
	FlurryTimeFrame:SetHeight(20);
	FlurryTimeFrame.text = FlurryTimeFrame:CreateFontString("FlurryTargetText", "BACKGROUND");
  	FlurryTimeFrame.text:SetAllPoints(FlurryTimeFrame);
  	FlurryTimeFrame.text:SetFontObject(TextStatusBarText);
  	FlurryTimeFrame.text:SetJustifyH("LEFT");
  	FlurryTimeFrame:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED");
	FlurryTimeFrameTime = 0;
	FlurryTimeFrame:Show();
	FlurryTimeFrame:SetMovable();
	FlurryTimeFrame:SetClampedToScreen(clamped);
	FlurryTimeFrame:SetScript("OnDragStart", FlurryTimeFrame.StartMoving);
	FlurryTimeFrame:SetScript("OnDragStop", FlurryTimeFrame.StopMovingOrSizing);
	
	SLASH_FLURRYTIME1 = "/ft";
	SLASH_FLURRYTIME2 = "/flurrytime";
	
	function SlashCmdList.FLURRYTIME(msg)
		if (msg == "lock") then
			DEFAULT_CHAT_FRAME:AddMessage("FlurryTime frame locked.")
			FlurryTimeFrame:SetScript("OnUpdate", Fader);
			FlurryTimeFrame:RegisterForDrag(nil);
		end
		if (msg == "unlock") then
			DEFAULT_CHAT_FRAME:AddMessage("FlurryTime frame unlocked.")
			FlurryTimeFrame:RegisterForDrag("LeftButton");
			FlurryTimeFrame.text:SetText("FlurryTime move me!");
			FlurryTimeFrame:SetAlpha(1);
			FlurryTimeFrame:Show();
			FlurryTimeFrameTime = GetTime();
			FlurryTimeFrame:SetScript("OnUpdate", nil);			
		end
		if (msg ~= "lock" and msg ~="unlock") then
			DEFAULT_CHAT_FRAME:AddMessage("FlurryTime v.0666, usage:")
			DEFAULT_CHAT_FRAME:AddMessage("/FlurryTime lock   or   /Ft lock   - locks the frame")
			DEFAULT_CHAT_FRAME:AddMessage("/FlurryTime unlock   or   /Ft unlock   - unlocks the frame")
		end
	end

	function Event(self,event,...) 
		if (event=="COMBAT_LOG_EVENT_UNFILTERED") then 
			local timestamp, type, sGUID, sName, sFlags, dGUID, dName, dFlags, spellID, spellName, sSchool, dDealt = ...;
			local playerName = UnitName("player");
			
			if (type=="SPELL_DAMAGE") then
				if (spellID == 22482 and sName == playerName) then
				FlurryTimeFrame.text:SetText(dName);
 				FlurryTimeFrame:SetAlpha(1);
				FlurryTimeFrame:Show();
				FlurryTimeFrameTime = GetTime();
				end
			end
	    end 
	end 

	function Fader()
		if (FlurryTimeFrameTime < GetTime() - 5) then
			local alpha = FlurryTimeFrame:GetAlpha();
			if (alpha ~= 0) then 
				FlurryTimeFrame:SetAlpha(alpha - .05);
			end
			if (alpha == 0) then
				FlurryTimeFrame:Hide();
			end
		end
	end
	
	FlurryTimeFrame:SetScript("OnUpdate", Fader);
	FlurryTimeFrame:SetScript("OnEvent", Event);
		
 end


